apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor

metadata:
  annotations:
    release: my-prometheus-operator
  labels:
    release: my-prometheus-operator
  name: myappchart-service-monitor

spec:
  endpoints:
    - honorLabels: true
      port: http
      path: /actuator/prometheus
      interval: 20s
  selector:
    matchLabels:
      app.kubernetes.io/instance: myappchart
      app.kubernetes.io/name: myappchart